summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-05 08:54:04 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-05 08:54:04 +0000
commit6bd3ff315e457c0d4c67ff883adf9444547a4333 (patch)
tree4c4cb65b470cde42a1635ac0c784bb9043c7e0d1
parent1d13e1ad71c0a05efd7e6138e703ee17bbfb526f (diff)
downloadbaldeagleos-repo-6bd3ff315e457c0d4c67ff883adf9444547a4333.tar.gz
baldeagleos-repo-6bd3ff315e457c0d4c67ff883adf9444547a4333.tar.xz
baldeagleos-repo-6bd3ff315e457c0d4c67ff883adf9444547a4333.zip
Updating liguros repo
-rw-r--r--app-misc/recoll/Manifest1
-rw-r--r--app-misc/recoll/recoll-1.27.12.ebuild135
-rw-r--r--app-text/calibre/Manifest1
-rw-r--r--app-text/calibre/calibre-5.4.2-r1.ebuild (renamed from app-text/calibre/calibre-5.4.2.ebuild)2
-rw-r--r--app-text/calibre/calibre-5.6.0.ebuild264
-rw-r--r--dev-go/go-bindata/Manifest2
-rw-r--r--dev-go/go-bindata/go-bindata-3.1.3.ebuild19
-rw-r--r--dev-go/go-bindata/go-bindata-3.21.0.ebuild20
-rw-r--r--dev-go/go-bindata/metadata.xml20
-rw-r--r--dev-perl/Crypt-OpenSSL-Guess/Crypt-OpenSSL-Guess-0.110.0.ebuild2
-rw-r--r--dev-perl/Crypt-OpenSSL-RSA/Crypt-OpenSSL-RSA-0.310.0.ebuild2
-rw-r--r--dev-perl/Crypt-OpenSSL-Random/Crypt-OpenSSL-Random-0.150.0.ebuild2
-rw-r--r--dev-python/pychm/pychm-0.8.6.ebuild2
-rw-r--r--dev-python/pychroot/pychroot-9999.ebuild2
-rw-r--r--dev-python/snakeoil/Manifest1
-rw-r--r--dev-python/snakeoil/snakeoil-0.8.9.ebuild32
-rw-r--r--dev-python/snakeoil/snakeoil-9999.ebuild4
-rw-r--r--dev-util/pkgcheck/Manifest1
-rw-r--r--dev-util/pkgcheck/pkgcheck-0.7.9.ebuild57
-rw-r--r--dev-util/pkgcheck/pkgcheck-9999.ebuild8
-rw-r--r--eclass/python-utils-r1.eclass10
-rw-r--r--media-gfx/hugin/hugin-9999.ebuild4
-rw-r--r--media-sound/jack2/Manifest1
-rw-r--r--media-sound/jack2/jack2-1.9.14.ebuild99
-rw-r--r--sys-apps/pkgcore/Manifest1
-rw-r--r--sys-apps/pkgcore/pkgcore-0.10.14.ebuild47
-rw-r--r--sys-apps/pkgcore/pkgcore-9999.ebuild6
-rw-r--r--sys-apps/usbutils/usbutils-013-r1.ebuild53
-rw-r--r--x11-misc/urxvt-tabbedex/Manifest1
-rw-r--r--x11-misc/urxvt-tabbedex/urxvt-tabbedex-20.49.ebuild30
30 files changed, 672 insertions, 157 deletions
diff --git a/app-misc/recoll/Manifest b/app-misc/recoll/Manifest
index 9c13790a98f3..242d57acd82b 100644
--- a/app-misc/recoll/Manifest
+++ b/app-misc/recoll/Manifest
@@ -1 +1,2 @@
DIST recoll-1.25.19.tar.gz 2845683 BLAKE2B 745eac2dd3208619e173abba78f1e03186cdb5deb363c30728184a9d826c698d8e088cc0420178754131792f0d933f395a4fdb209a4315888b733a1209644580 SHA512 d56aff810e335f8212b908118de8fe12fc8d8f8341ebc281244c00dfe2216e008c655f4d39955b6c71928a28ea0aea073036fed17be5b80e8443fe6dfbe374f6
+DIST recoll-1.27.12.tar.gz 3184471 BLAKE2B 60bcdee44259fa7f8b9decb9258ca0dae4edbf0cee1e8b1353cb59418503f0fcea9b439ecd6352500ff5b4cccfae08fc2a3f7f786fbd096cf18fd21fb809705b SHA512 3701dff056b8200f3b3c1bb2acaa69356c0def00959a0b74c14e1d500bd9e05fc81d82ce8b7db59d7e5b85617a8a7197700031aab65b31e005a4fedeaff59e97
diff --git a/app-misc/recoll/recoll-1.27.12.ebuild b/app-misc/recoll/recoll-1.27.12.ebuild
new file mode 100644
index 000000000000..063047051be8
--- /dev/null
+++ b/app-misc/recoll/recoll-1.27.12.ebuild
@@ -0,0 +1,135 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5..10} )
+
+inherit eutils linux-info python-single-r1 qmake-utils
+
+DESCRIPTION="A personal full text search package"
+HOMEPAGE="https://www.lesbonscomptes.com/recoll/"
+SRC_URI="https://www.lesbonscomptes.com/recoll/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="camelcase chm doc +inotify qt5 session +spell webengine"
+REQUIRED_USE="
+ session? ( inotify )
+ webengine? ( qt5 )
+ ${PYTHON_REQUIRED_USE}
+"
+
+DEPEND="
+ dev-libs/xapian:=
+ sys-libs/zlib:=
+ virtual/libiconv
+ chm? (
+ dev-libs/chmlib
+ dev-python/pychm
+ )
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtprintsupport:5
+ webengine? ( dev-qt/qtwebengine:5[widgets] )
+ )
+ session? (
+ inotify? (
+ x11-libs/libSM
+ x11-libs/libICE
+ x11-libs/libX11
+ )
+ )
+ spell? ( app-text/aspell )
+ ${PYTHON_DEPS}
+"
+
+BDEPEND="
+ qt5? ( dev-qt/linguist-tools:5 )
+"
+
+RDEPEND="
+ ${DEPEND}
+ app-arch/unzip
+"
+
+pkg_pretend() {
+ if has_version "<app-misc/recoll-1.20"; then
+ elog "Installing ${PV} over an 1.19 index is possible,"
+ elog "but there have been small changes in the way"
+ elog "compound words are indexed. So it is best to reset"
+ elog "the index. The best method to reset the index is to"
+ elog "quit all recoll programs and delete the index directory"
+ elog "rm -rf ~/.recoll/xapiandb, then start recoll or recollindex."
+ fi
+}
+
+pkg_setup() {
+ if use inotify; then
+ local CONFIG_CHECK="~INOTIFY_USER"
+ check_extra_config
+ fi
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+ python_fix_shebang filters
+}
+
+src_configure() {
+ use qt5 && export QMAKE="$(qt5_get_bindir)/qmake"
+
+ local myeconfargs=(
+ $(use_enable camelcase)
+ $(use_enable chm python-chm)
+ $(use_enable session x11mon)
+ $(use_enable qt5 qtgui)
+ $(use_enable webengine)
+ $(use_with inotify)
+ $(use_with spell aspell)
+ --disable-webkit
+ --without-fam
+ --enable-recollq
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ emake STRIP="$(type -P true)" DESTDIR="${D}" install
+ python_optimize
+
+ # html docs should be placed in /usr/share/doc/${PN}/html
+ use doc && dodoc -r "${ED}"/usr/share/recoll/doc/.
+ rm -r "${ED}/usr/share/recoll/doc" || die
+ find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ elog "In order to extract the full functionality of "
+ elog "recoll, the following packages should be installed "
+ elog "to get the corresponding document support."
+
+ optfeature "XML based documents support" "dev-libs/libxslt[python] dev-libs/libxml2[python]"
+ optfeature "PDF files support" app-text/poppler
+ optfeature "PDF files with OCR support" app-text/tesseract
+ optfeature "MS Word files support" app-text/antiword
+ optfeature "Wordperfect files support" "app-text/libwpd[tools]"
+ optfeature "Lyx files support" app-office/lyx
+ optfeature "GNU Info files support" sys-apps/texinfo
+ optfeature "RAR archives support" dev-python/rarfile
+ optfeature "7zip archives support" dev-python/pylzma
+ optfeature "iCalendar files support" dev-python/icalendar
+ optfeature "Postscript files support" app-text/pstotext
+ optfeature "RTF files support" app-text/unrtf
+ optfeature "TeX files support" dev-text/detex
+ optfeature "DVI files support" virtual/tex-base
+ optfeature "DJVU files support" app-text/djvu
+ optfeature "tags in audio files support" media-libs/mutagen
+ optfeature "tags in image files support" media-libs/exiftool
+ optfeature "Midi karaoke files support" dev-python/chardet
+}
diff --git a/app-text/calibre/Manifest b/app-text/calibre/Manifest
index b884f4c3bf6a..df8af515d42d 100644
--- a/app-text/calibre/Manifest
+++ b/app-text/calibre/Manifest
@@ -2,3 +2,4 @@ DIST calibre-4.22.0.tar.xz 36924876 BLAKE2B 19576d5cfc1a4ed6a505ef46656675980b67
DIST calibre-4.23.0.tar.xz 36908740 BLAKE2B 3a950ac2b3aade547bb686cc99b963357e76b5931049ecb4a5e09ddaf1db26c74fa3b4ebd74e42d83f68c5c9827c534c0247a3c6a9b000641a778cfe5ac33599 SHA512 2a512f29ddc2fed7f6a229314a9f7fceac198c9422b3be19078685032f1d1cb3b9258ac2609c33d15da20683c1277ed09419ea1e9bbc70430cdc676f60395719
DIST calibre-5.4.2-SIP-v4.patch.xz 4640 BLAKE2B e8d20d9e23922885ecc3d24b7dd83579911dc83520037bad4e9323725c3127d348dc745dc725d137a3172e8891764355d3fcdee640a26cd6b142a2c26d00da0b SHA512 e79ee69ba0ca7e44c10c6670743889d0391d708e75c798e345e6228f483347f72b070e01e2a258590420a1eea6313d88d816817886747c699e6783bd965ab557
DIST calibre-5.4.2.tar.xz 36596800 BLAKE2B 00373cdc9af56a8dacc70096d1e7925f8d3da4eaf37727ad58c211d18e6c593a21c3ad0f283048ae28b1bb83889c8c801baaa5e240eb65d972ebc78a79922ec1 SHA512 ef3839f5ff4ceecb3bbd6c84819d6f57cc4bb2a1ae789a9dcf8f029680bc778ef86f9c2eb01832c4990f68c2de892eedafa449205470cec4d86a3bbe9d4b4527
+DIST calibre-5.6.0.tar.xz 36653328 BLAKE2B 44941c50873c285aa552c5b4ac716e5d3dd6bc3e1a4f13b1003d42adb808566ec3a5083c683a40d9679524e4ae70eed6ec8bc4c70770991f9791bcea25387c42 SHA512 5d06b60467bbf332acb8666d4117407c2876cfe2726dca3e9d9ed5d77561614406c7150c2800aacefe3cecb0869c1cd7b2681eba27830248b3c32e362123d50f
diff --git a/app-text/calibre/calibre-5.4.2.ebuild b/app-text/calibre/calibre-5.4.2-r1.ebuild
index 0faad7d16acb..6811f1817971 100644
--- a/app-text/calibre/calibre-5.4.2.ebuild
+++ b/app-text/calibre/calibre-5.4.2-r1.ebuild
@@ -42,7 +42,6 @@ COMMON_DEPEND="${PYTHON_DEPS}
>=app-text/hunspell-1.7:=
>=app-text/podofo-0.9.6_pre20171027:=
>=app-text/poppler-0.26.5[qt5]
- >=dev-libs/chmlib-0.40:=
dev-libs/glib:2=
dev-libs/hyphen:=
>=dev-libs/icu-57.1:=
@@ -67,6 +66,7 @@ COMMON_DEPEND="${PYTHON_DEPS}
>=dev-python/netifaces-0.10.5[${PYTHON_MULTI_USEDEP}]
>=dev-python/pillow-3.2.0[${PYTHON_MULTI_USEDEP}]
>=dev-python/psutil-4.3.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/pychm-0.8.6[${PYTHON_MULTI_USEDEP}]
>=dev-python/pygments-2.3.1[${PYTHON_MULTI_USEDEP}]
>=dev-python/python-dateutil-2.5.3[${PYTHON_MULTI_USEDEP}]
>=dev-python/PyQt5-5.12[gui,svg,widgets,network,printsupport,${PYTHON_MULTI_USEDEP}]
diff --git a/app-text/calibre/calibre-5.6.0.ebuild b/app-text/calibre/calibre-5.6.0.ebuild
new file mode 100644
index 000000000000..2a36345c527c
--- /dev/null
+++ b/app-text/calibre/calibre-5.6.0.ebuild
@@ -0,0 +1,264 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5..10} )
+PYTHON_REQ_USE="ipv6,sqlite,ssl"
+
+inherit bash-completion-r1 desktop toolchain-funcs python-single-r1 xdg-utils
+
+DESCRIPTION="Ebook management application"
+HOMEPAGE="https://calibre-ebook.com/"
+SRC_URI="https://download.calibre-ebook.com/${PV}/${P}.tar.xz
+ https://dev.gentoo.org/~zmedico/dist/calibre-5.4.2-SIP-v4.patch.xz"
+
+LICENSE="
+ GPL-3+
+ GPL-3
+ GPL-2+
+ GPL-2
+ GPL-1+
+ LGPL-3+
+ LGPL-2.1+
+ LGPL-2.1
+ BSD
+ MIT
+ Old-MIT
+ Apache-2.0
+ public-domain
+ || ( Artistic GPL-1+ )
+ CC-BY-3.0
+ OFL-1.1
+ PSF-2
+"
+KEYWORDS="~amd64 ~arm ~x86"
+SLOT="0"
+IUSE="ios +udisks"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+COMMON_DEPEND="${PYTHON_DEPS}
+ >=app-text/hunspell-1.7:=
+ >=app-text/podofo-0.9.6_pre20171027:=
+ >=app-text/poppler-0.26.5[qt5]
+ dev-libs/glib:2=
+ dev-libs/hyphen:=
+ >=dev-libs/icu-57.1:=
+ dev-libs/libinput:=
+ >=dev-libs/dbus-glib-0.106
+ >=sys-apps/dbus-1.10.8
+ $(python_gen_cond_dep '
+ >=dev-python/apsw-3.25.2_p1[${PYTHON_MULTI_USEDEP}]
+ dev-python/beautifulsoup:4[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/chardet-3.0.3[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/cssselect-0.7.1[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/css-parser-1.0.4[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/dbus-python-1.2.4[${PYTHON_MULTI_USEDEP}]
+ dev-python/dnspython[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/feedparser-5.2.1[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/html2text-2019.8.11[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/html5-parser-0.4.9[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/lxml-3.8.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/markdown-3.0.1[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/mechanize-0.3.5[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/msgpack-0.6.2[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/netifaces-0.10.5[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/pillow-3.2.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/psutil-4.3.0[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/pychm-0.8.6[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/pygments-2.3.1[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/python-dateutil-2.5.3[${PYTHON_MULTI_USEDEP}]
+ >=dev-python/PyQt5-5.12[gui,svg,widgets,network,printsupport,${PYTHON_MULTI_USEDEP}]
+ >=dev-python/PyQtWebEngine-5.12[${PYTHON_MULTI_USEDEP}]
+ dev-python/regex[${PYTHON_MULTI_USEDEP}]
+ dev-python/zeroconf[${PYTHON_MULTI_USEDEP}]
+ ')
+ dev-qt/qtcore:5=
+ dev-qt/qtdbus:5=
+ dev-qt/qtgui:5=[jpeg]
+ >=dev-qt/qtwebengine-5.12
+ dev-qt/qtwidgets:5=
+ dev-util/desktop-file-utils
+ dev-util/gtk-update-icon-cache
+ media-fonts/liberation-fonts
+ media-libs/fontconfig:=
+ >=media-libs/freetype-2:=
+ >=media-libs/libmtp-1.1.11:=
+ >=media-libs/libwmf-0.2.8
+ >=media-gfx/optipng-0.7.6
+ >=sys-libs/zlib-1.2.11:=
+ virtual/libusb:1=
+ x11-libs/libxkbcommon:=
+ x11-libs/libX11:=
+ x11-libs/libXext:=
+ x11-libs/libXrender:=
+ x11-misc/shared-mime-info
+ >=x11-misc/xdg-utils-1.0.2-r2
+ ios? (
+ >=app-pda/usbmuxd-1.0.8
+ >=app-pda/libimobiledevice-1.2.0
+ )
+ udisks? ( virtual/libudev )"
+RDEPEND="${COMMON_DEPEND}
+ udisks? ( sys-fs/udisks:2 )"
+DEPEND="${COMMON_DEPEND}
+ $(python_gen_cond_dep '
+ >=dev-python/setuptools-23.1.0[${PYTHON_MULTI_USEDEP}]
+ dev-python/sip[${PYTHON_MULTI_USEDEP}]
+ ')
+ >=virtual/podofo-build-0.9.6_pre20171027
+ virtual/pkgconfig"
+
+pkg_pretend() {
+ if [[ ${MERGE_TYPE} != binary ]] && tc-is-gcc && [[ $(gcc-major-version) -lt 6 ]]; then
+ eerror "Calibre cannot be built with this version of gcc."
+ eerror "You need at least gcc-6.0"
+ die "Your C compiler is too old for this package."
+ fi
+}
+
+src_prepare() {
+ # no_updates: do not annoy user with "new version is availible all the time
+ # disable_plugins: walking sec-hole, wait for upstream to use GHNS interface
+ eapply \
+ "${FILESDIR}/${PN}-2.9.0-no_updates_dialog.patch" \
+ "${FILESDIR}/${PN}-disable_plugins.patch" \
+ "${WORKDIR}/${PN}-5.4.2-SIP-v4.patch"
+
+ has_version ">=dev-libs/icu-68.1" && eapply "${FILESDIR}/${PN}-4.22.0-icu68.patch"
+
+ eapply_user
+
+ # Fix outdated version constant.
+ #sed -e "s#\\(^numeric_version =\\).*#\\1 (${PV//./, })#" \
+ # -i src/calibre/constants.py || \
+ # die "sed failed to patch constants.py"
+
+ # Avoid sandbox violation in /usr/share/gnome/apps when linux.py
+ # calls xdg-* (bug #258938).
+ sed -e "s|'xdg-desktop-menu', 'install'|\\0, '--mode', 'user'|" \
+ -e "s|check_call(\\['xdg-desktop-menu', 'forceupdate'\\])|#\\0|" \
+ -e "s|\\(CurrentDir(tdir)\\), \\\\\$|\\1:|" \
+ -e "s|, PreserveMIMEDefaults():|:|" \
+ -e "s|'xdg-icon-resource', 'install'|\\0, '--mode', 'user'|" \
+ -e "s|cmd\[2\]|cmd[4]|" \
+ -e "s|cc(\\['xdg-desktop-menu', 'forceupdate'\\])|#\\0|" \
+ -e "s|'xdg-mime', 'install'|\\0, '--mode', 'user'|" \
+ -i src/calibre/linux.py || die "sed failed to patch linux.py"
+
+ # Disable unnecessary privilege dropping for bug #287067.
+ sed -e "s:if os.geteuid() == 0:if False and os.geteuid() == 0:" \
+ -i setup/install.py || die "sed failed to patch install.py"
+
+ sed -e "/^ self.check_call(\\[QMAKE\\] + qmc + \\[proname\\])$/a\
+\\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ \\ self.check_call(['sed', \
+'-e', 's|^CFLAGS .*|\\\\\\\\0 ${CFLAGS}|', \
+'-e', 's|^CXXFLAGS .*|\\\\\\\\0 ${CXXFLAGS}|', \
+'-e', 's|^LFLAGS .*|\\\\\\\\0 ${LDFLAGS}|', \
+'-i', 'Makefile'])" \
+ -e "s|open(self.j(bdir, '.qmake.conf'), 'wb').close()|open(self.j(bdir, '.qmake.conf'), 'wb').write(b'QMAKE_LFLAGS += ${LDFLAGS}')|" \
+ -i setup/build.py || die "sed failed to patch build.py"
+}
+
+src_install() {
+ # calibre works with python 3, so remove the python 2 constraint
+ export CALIBRE_PY3_PORT=1
+
+ # Bypass kbuildsycoca and update-mime-database in order to
+ # avoid sandbox violations if xdg-mime tries to call them.
+ mkdir "${T}/bin" || die
+ cat - > "${T}/bin/kbuildsycoca" <<-EOF
+ #!${BASH}
+ echo $0 : $@
+ exit 0
+ EOF
+
+ cp "${T}"/bin/{kbuildsycoca,update-mime-database} || die
+ chmod +x "${T}"/bin/{kbuildsycoca,update-mime-database} || die
+
+ export QMAKE="${EPREFIX}/usr/$(get_libdir)/qt5/bin/qmake"
+
+ # Unset DISPLAY in order to prevent xdg-mime from triggering a sandbox
+ # violation with kbuildsycoca as in bug #287067, comment #13.
+ export -n DISPLAY
+
+ # Bug #352625 - Some LANGUAGE values can trigger the following ValueError:
+ # File "/usr/lib/python2.6/locale.py", line 486, in getdefaultlocale
+ # return _parse_localename(localename)
+ # File "/usr/lib/python2.6/locale.py", line 418, in _parse_localename
+ # raise ValueError, 'unknown locale: %s' % localename
+ #ValueError: unknown locale: 46
+ export -n LANG LANGUAGE ${!LC_*}
+ export LC_ALL=C.utf8 #709682
+
+ # Bug #295672 - Avoid sandbox violation in ~/.config by forcing
+ # variables to point to our fake temporary $HOME.
+ export HOME="${T}/fake_homedir"
+ export XDG_CONFIG_HOME="${HOME}/.config"
+ export XDG_DATA_HOME="${HOME}/.local/share"
+ export CALIBRE_CONFIG_DIRECTORY="${XDG_CONFIG_HOME}/calibre"
+ mkdir -p "${XDG_DATA_HOME}" "${CALIBRE_CONFIG_DIRECTORY}" || die
+
+ tc-export CC CXX
+ # Bug #334243 - respect LDFLAGS when building extensions
+ export OVERRIDE_CFLAGS="$CFLAGS" OVERRIDE_LDFLAGS="$LDFLAGS"
+ local libdir=$(get_libdir)
+ [[ -n $libdir ]] || die "get_libdir returned an empty string"
+
+ addpredict /dev/dri #665310
+
+ PATH=${T}/bin:${PATH} PYTHONPATH=${S}/src${PYTHONPATH:+:}${PYTHONPATH} \
+ "${PYTHON}" setup.py install \
+ --root="${D}" \
+ --prefix="${EPREFIX}/usr" \
+ --libdir="${EPREFIX}/usr/${libdir}" \
+ --staging-root="${ED}/usr" \
+ --staging-libdir="${ED}/usr/${libdir}" || die
+
+ find "${ED}"/usr/share -type d -empty -delete
+
+ cd "${ED}"/usr/share/calibre/fonts/liberation || die
+ local x
+ for x in * ; do
+ [[ -f ${EPREFIX}/usr/share/fonts/liberation-fonts/${x} ]] || continue
+ ln -sf "../../../fonts/liberation-fonts/${x}" "${x}" || die
+ done
+
+ einfo "Converting python shebangs"
+ python_fix_shebang --force "${ED}"
+
+ einfo "Compiling python modules"
+ python_optimize "${ED}"/usr/$(get_libdir)/calibre "${D}/$(python_get_sitedir)"
+
+ newinitd "${FILESDIR}"/calibre-server-3.init calibre-server
+ newconfd "${FILESDIR}"/calibre-server-3.conf calibre-server
+}
+
+pkg_preinst() {
+ # Indentify stray directories from upstream's "Binary install"
+ # method (see bug 622728).
+ CALIBRE_LIB_DIR=/usr/$(get_libdir)/calibre
+ CALIBRE_LIB_CONTENT=$(for x in "${ED}${CALIBRE_LIB_DIR}"/*; do
+ printf -- "${x##*/} "; done) || die "Failed to list ${ED}${CALIBRE_LIB_DIR}"
+}
+
+pkg_postinst() {
+ [[ -n ${CALIBRE_LIB_DIR} ]] || die "CALIBRE_LIB_DIR is unset"
+ local x
+ for x in "${EROOT}${CALIBRE_LIB_DIR}"/*; do
+ if [[ " ${CALIBRE_LIB_CONTENT} " != *" ${x##*/} "* ]]; then
+ elog "Purging '${x}'"
+ rm -rf "${x}"
+ fi
+ done
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ xdg_icon_cache_update
+}
diff --git a/dev-go/go-bindata/Manifest b/dev-go/go-bindata/Manifest
index bab3f4c9d656..e89354dd767c 100644
--- a/dev-go/go-bindata/Manifest
+++ b/dev-go/go-bindata/Manifest
@@ -1 +1 @@
-DIST go-bindata-3.21.0.tar.gz 15615959 BLAKE2B b635869202025992a7f92645de7aa96fadd18f5c99d5e312a1e645712940d05342e192401eb5aec04aac72c50b17d1fe370ef317356d47a40141cec3dc8f01a7 SHA512 004b9f0389d26f82d1419e8e8ad249d33583e85c4b4aaa4e36215bd5289a24146a237bcb55b9d51ff29c1b01ebd822ff60dcf205cb73d34f810e6838df172265
+DIST go-bindata-3.1.3.tar.gz 21280 BLAKE2B cf54b50113006f02eeab47312fcf1eaa1e4b820847ee9c579318a5aac0b720648f73cbf3d2d41e120ea79b65dc3dcfa32accaff16ed4610bcf9a9dd317e9d819 SHA512 870f939cfb07b43c54000d39fa37e8151ca5c20d13eac9bde59e7ec3e2693d8386a1ea4b5372171dac42f8a4f69a754445cb9a4fa51a7a7ba9ec54f3e8a2a2f6
diff --git a/dev-go/go-bindata/go-bindata-3.1.3.ebuild b/dev-go/go-bindata/go-bindata-3.1.3.ebuild
new file mode 100644
index 000000000000..10d5d8179d7e
--- /dev/null
+++ b/dev-go/go-bindata/go-bindata-3.1.3.ebuild
@@ -0,0 +1,19 @@
+# Copyright 2020 Liguros Authors
+# Distributed under the terms of the GNU General Public License v2
+EAPI=7
+inherit golang-build golang-vcs-snapshot
+
+EGO_PN="github.com/go-bindata/go-bindata/..."
+KEYWORDS="amd64 ~arm ~arm64"
+
+DESCRIPTION="A small utility which generates Go code from any file"
+HOMEPAGE="https://github.com/go-bindata/go-bindata"
+SRC_URI="https://github.com/go-bindata/go-bindata/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="CC-PD"
+SLOT="0/${PVR}"
+
+src_install() {
+ GOBIN=${S}/bin \
+ golang-build_src_install
+ dobin bin/*
+}
diff --git a/dev-go/go-bindata/go-bindata-3.21.0.ebuild b/dev-go/go-bindata/go-bindata-3.21.0.ebuild
deleted file mode 100644
index 02d914964278..000000000000
--- a/dev-go/go-bindata/go-bindata-3.21.0.ebuild
+++ /dev/null
@@ -1,20 +0,0 @@
-# Copyright 1999-2020 Go Overlay Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-# NOTE: The original github.com/jteeuwen/go-bindata is no more maintained.
-# Instead, we use a fork which is API compatible.
-# For more details, see https://github.com/Dr-Terrible/go-overlay/issues/76
-GOLANG_PKG_IMPORTPATH="github.com/kevinburke"
-GOLANG_PKG_ARCHIVEPREFIX="v"
-GOLANG_PKG_IS_MULTIPLE=1
-GOLANG_PKG_HAVE_TEST=1
-
-inherit golang-single
-
-DESCRIPTION="A small utility for embedding binary data in a GoLang program."
-
-LICENSE="CC0-1.0"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 x86"
diff --git a/dev-go/go-bindata/metadata.xml b/dev-go/go-bindata/metadata.xml
index 0afda6620771..8c1d74d431e9 100644
--- a/dev-go/go-bindata/metadata.xml
+++ b/dev-go/go-bindata/metadata.xml
@@ -1,18 +1,12 @@
-<?xml version="1.0" encoding="UTF-8"?>
+<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>toffanin.mauro@gmail.com</email>
- <name>Mauro Toffanin</name>
- <description>Maintainer. Assign bugs to him</description>
- </maintainer>
+ <maintainer type="project">
+ <email>dev@liguros.net</email>
+ <name>Development</name>
+ </maintainer>
<upstream>
- <bugs-to>https://github.com/jteeuwen/go-bindata/issues</bugs-to>
+ <remote-id type="github">jteeuwen/go-bindata</remote-id>
</upstream>
- <longdescription lang="en">
- This package converts any file into managable Go source code. Useful for
- embedding binary data into a go program. The file data is optionally
- gzip compressed before being converted to a raw byte slice.
- </longdescription>
- <origin>go-overlay</origin>
+ <origin>ports</origin>
</pkgmetadata>
diff --git a/dev-perl/Crypt-OpenSSL-Guess/Crypt-OpenSSL-Guess-0.110.0.ebuild b/dev-perl/Crypt-OpenSSL-Guess/Crypt-OpenSSL-Guess-0.110.0.ebuild
index 4e8141060525..c14b0b5bf620 100644
--- a/dev-perl/Crypt-OpenSSL-Guess/Crypt-OpenSSL-Guess-0.110.0.ebuild
+++ b/dev-perl/Crypt-OpenSSL-Guess/Crypt-OpenSSL-Guess-0.110.0.ebuild
@@ -9,7 +9,7 @@ inherit perl-module
DESCRIPTION="Guess OpenSSL include path"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
IUSE="libressl test"
RESTRICT="!test? ( test )"
diff --git a/dev-perl/Crypt-OpenSSL-RSA/Crypt-OpenSSL-RSA-0.310.0.ebuild b/dev-perl/Crypt-OpenSSL-RSA/Crypt-OpenSSL-RSA-0.310.0.ebuild
index bac64f509ec0..3034b34c467b 100644
--- a/dev-perl/Crypt-OpenSSL-RSA/Crypt-OpenSSL-RSA-0.310.0.ebuild
+++ b/dev-perl/Crypt-OpenSSL-RSA/Crypt-OpenSSL-RSA-0.310.0.ebuild
@@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="RSA encoding and decoding using the OpenSSL libraries"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
IUSE="libressl test"
RESTRICT="!test? ( test )"
diff --git a/dev-perl/Crypt-OpenSSL-Random/Crypt-OpenSSL-Random-0.150.0.ebuild b/dev-perl/Crypt-OpenSSL-Random/Crypt-OpenSSL-Random-0.150.0.ebuild
index f52d3da2ee0c..9f84d1dc5ab5 100644
--- a/dev-perl/Crypt-OpenSSL-Random/Crypt-OpenSSL-Random-0.150.0.ebuild
+++ b/dev-perl/Crypt-OpenSSL-Random/Crypt-OpenSSL-Random-0.150.0.ebuild
@@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="OpenSSL/LibreSSL pseudo-random number generator access"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
IUSE="libressl"
RDEPEND="
diff --git a/dev-python/pychm/pychm-0.8.6.ebuild b/dev-python/pychm/pychm-0.8.6.ebuild
index 40c331f3bd92..e44700ebc069 100644
--- a/dev-python/pychm/pychm-0.8.6.ebuild
+++ b/dev-python/pychm/pychm-0.8.6.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://github.com/dottedmag/pychm/archive/v${PV}.tar.gz -> ${P}.gh.tar
LICENSE="GPL-2+"
SLOT="0"
-KEYWORDS="amd64 ~ppc x86"
+KEYWORDS="amd64 ~arm ~ppc x86"
RDEPEND="dev-libs/chmlib"
DEPEND="${RDEPEND}"
diff --git a/dev-python/pychroot/pychroot-9999.ebuild b/dev-python/pychroot/pychroot-9999.ebuild
index 2ddc39872035..e037f1a30684 100644
--- a/dev-python/pychroot/pychroot-9999.ebuild
+++ b/dev-python/pychroot/pychroot-9999.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{5..10} )
+PYTHON_COMPAT=( python3_{8,9} )
inherit distutils-r1
if [[ ${PV} == *9999 ]] ; then
diff --git a/dev-python/snakeoil/Manifest b/dev-python/snakeoil/Manifest
index aab9191ed999..249e4f1bdabb 100644
--- a/dev-python/snakeoil/Manifest
+++ b/dev-python/snakeoil/Manifest
@@ -1 +1,2 @@
DIST snakeoil-0.8.8.tar.gz 296519 BLAKE2B 5a5f6326d01874b46a5cb85f5370217f4f3dfd5743679280f1f59737567cd5d79deb945be847fd3cd47ff0ed67cc836d2a3e53c4aefbe8080da767f380295538 SHA512 ea1ff6ea45c9f5fc3bc539cc65031050093cc1fbdda869b7160b286dcf3233577ca297ab55ee3d7ee4253c5485f9e956e14ee2a97bfb88680811d1b8af6cd62d
+DIST snakeoil-0.8.9.tar.gz 271205 BLAKE2B dcaf4d26b430a2e99481182aa912a884a0cf5943f65028f4da098ec1b0ab177a97aeb0743d90cade589eba598598eccd275b15379d281ad0dc0bf62badd24c55 SHA512 d80f4c5be5d97598a119bd29413df1960487e4af2532b33b03c17337d15d24b34c4e5617f0d5d40db973f009697de25ae8c5bf5e60c19409835b3e77b4ffb461
diff --git a/dev-python/snakeoil/snakeoil-0.8.9.ebuild b/dev-python/snakeoil/snakeoil-0.8.9.ebuild
new file mode 100644
index 000000000000..cac6f79e8af8
--- /dev/null
+++ b/dev-python/snakeoil/snakeoil-0.8.9.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{5..10} )
+PYTHON_REQ_USE="threads(+)"
+inherit distutils-r1
+
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/pkgcore/snakeoil.git"
+ inherit git-r3
+else
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+fi
+
+DESCRIPTION="misc common functionality and useful optimizations"
+HOMEPAGE="https://github.com/pkgcore/snakeoil"
+
+LICENSE="BSD BSD-2 MIT"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+[[ ${PV} == 9999 ]] && DEPEND+=" dev-python/cython[${PYTHON_USEDEP}]"
+
+python_test() {
+ esetup.py test
+}
diff --git a/dev-python/snakeoil/snakeoil-9999.ebuild b/dev-python/snakeoil/snakeoil-9999.ebuild
index 18633e53cacc..0c98e3d18348 100644
--- a/dev-python/snakeoil/snakeoil-9999.ebuild
+++ b/dev-python/snakeoil/snakeoil-9999.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-PYTHON_COMPAT=( python3_{5..10} )
+PYTHON_COMPAT=( python3_{8..9} )
PYTHON_REQ_USE="threads(+)"
inherit distutils-r1
@@ -10,7 +10,7 @@ if [[ ${PV} == *9999 ]] ; then
EGIT_REPO_URI="https://github.com/pkgcore/snakeoil.git"
inherit git-r3
else
- KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
fi
diff --git a/dev-util/pkgcheck/Manifest b/dev-util/pkgcheck/Manifest
index 51c10bfc90b1..49d7ffd0f8b6 100644
--- a/dev-util/pkgcheck/Manifest
+++ b/dev-util/pkgcheck/Manifest
@@ -1 +1,2 @@
DIST pkgcheck-0.7.7.tar.gz 236359 BLAKE2B 46628e6fe1ab711773209785f3160ad5521f7173a676363a44102bd26b443eafe4f88829d9a6c9cf10538ebfa7ca8b28cb8c27f9719f98217ff626d1b5a9a0b3 SHA512 ac88a3aa689983bfac0efa85240e3a02c822a075095ff9940fac0cdc188428126e7612807e57a7582f21fcf1d668dba29d4785d062d757f6444fa024d0437751
+DIST pkgcheck-0.7.9.tar.gz 275854 BLAKE2B 4a98d801fc4e628f6b116fa6d05a5e31bf259f7774fc724c5ca497ea29c5e475a4679fdc4d5c2256de307af740c7bdb95a1d10e30adba94e8336a1e8a3657838 SHA512 1af7d90dcc1c13882f946f470746f7d03638762ed12d97094977c05eb11208f00a19d3a8789ce074efcc91e15258ac784027018016487213ae17e91ed6916630
diff --git a/dev-util/pkgcheck/pkgcheck-0.7.9.ebuild b/dev-util/pkgcheck/pkgcheck-0.7.9.ebuild
new file mode 100644
index 000000000000..0a08c37dfd52
--- /dev/null
+++ b/dev-util/pkgcheck/pkgcheck-0.7.9.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{5..10} )
+DISTUTILS_IN_SOURCE_BUILD=1
+inherit distutils-r1 optfeature
+
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/pkgcore/pkgcheck.git"
+ inherit git-r3
+else
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~x64-macos"
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+fi
+
+DESCRIPTION="pkgcore-based QA utility for ebuild repos"
+HOMEPAGE="https://github.com/pkgcore/pkgcheck"
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+if [[ ${PV} == *9999 ]]; then
+ RDEPEND="
+ ~dev-python/snakeoil-9999[${PYTHON_USEDEP}]
+ ~sys-apps/pkgcore-9999[${PYTHON_USEDEP}]"
+else
+ RDEPEND="
+ >=dev-python/snakeoil-0.8.9[${PYTHON_USEDEP}]
+ >=sys-apps/pkgcore-0.10.14[${PYTHON_USEDEP}]"
+fi
+RDEPEND+="
+ dev-python/chardet[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/pathspec[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+
+python_test() {
+ esetup.py test
+}
+
+python_install_all() {
+ local DOCS=( NEWS.rst )
+ [[ ${PV} == *9999 ]] || doman man/*
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "Network check support" dev-python/requests
+ optfeature "Perl module version check support" dev-perl/Gentoo-PerlMod-Version
+}
diff --git a/dev-util/pkgcheck/pkgcheck-9999.ebuild b/dev-util/pkgcheck/pkgcheck-9999.ebuild
index 052f06037b63..506d48fd9206 100644
--- a/dev-util/pkgcheck/pkgcheck-9999.ebuild
+++ b/dev-util/pkgcheck/pkgcheck-9999.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-PYTHON_COMPAT=( python3_{5..10} )
+PYTHON_COMPAT=( python3_{8..9} )
DISTUTILS_IN_SOURCE_BUILD=1
inherit distutils-r1 optfeature
@@ -10,7 +10,7 @@ if [[ ${PV} == *9999 ]] ; then
EGIT_REPO_URI="https://github.com/pkgcore/pkgcheck.git"
inherit git-r3
else
- KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~x64-macos"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
fi
@@ -28,8 +28,8 @@ if [[ ${PV} == *9999 ]]; then
~sys-apps/pkgcore-9999[${PYTHON_USEDEP}]"
else
RDEPEND="
- >=dev-python/snakeoil-0.8.8[${PYTHON_USEDEP}]
- >=sys-apps/pkgcore-0.10.13[${PYTHON_USEDEP}]"
+ >=dev-python/snakeoil-0.8.9[${PYTHON_USEDEP}]
+ >=sys-apps/pkgcore-0.10.14[${PYTHON_USEDEP}]"
fi
RDEPEND+="
dev-python/chardet[${PYTHON_USEDEP}]
diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index f6661317254f..f1dfd047a61e 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -41,7 +41,7 @@ inherit toolchain-funcs
_PYTHON_ALL_IMPLS=(
pypy3
python2_7
- python3_5 python3_6 python3_7 python3_8 python3_9
+ python3_5 python3_6 python3_7 python3_8 python3_9 python3_10
)
readonly _PYTHON_ALL_IMPLS
@@ -89,7 +89,7 @@ _python_impl_supported() {
# keep in sync with _PYTHON_ALL_IMPLS!
# (not using that list because inline patterns shall be faster)
case "${impl}" in
- python2_7|python3_[56789]|pypy3)
+ python2_7|python3_[56789]|python3_10|pypy3)
return 0
;;
jython2_7|pypy|pypy1_[89]|pypy2_0|python2_[56]|python3_[1234])
@@ -970,7 +970,7 @@ _python_wrapper_setup() {
"${workdir}"/pkgconfig/python${pyver}.pc || die
# Python 3.8+.
- if [[ ${EPYTHON} != python[23].[567] ]]; then
+ if [[ ${EPYTHON} != python[23].[567] ]] || [[ ${EPYTHON} != python3.10 ]]; then
ln -s "${EPREFIX}"/usr/$(get_libdir)/pkgconfig/${EPYTHON/n/n-}-embed.pc \
"${workdir}"/pkgconfig/python${pyver}-embed.pc || die
fi
@@ -1127,7 +1127,7 @@ python_fix_shebang() {
fi
break
;;
- *python[23].[0123456789]|*pypy|*pypy3|*jython[23].[0123456789])
+ *python[23].[0123456789]|*python3.10|*pypy|*pypy3|*jython[23].[0123456789])
# Explicit mismatch.
if [[ ! ${force} ]]; then
error=1
@@ -1135,6 +1135,8 @@ python_fix_shebang() {
case "${i}" in
*python[23].[0123456789])
from="python[23].[0123456789]";;
+ *python3.10)
+ from"python3.10";;
*pypy)
from="pypy";;
*pypy3)
diff --git a/media-gfx/hugin/hugin-9999.ebuild b/media-gfx/hugin/hugin-9999.ebuild
index e6500316bcb6..5fd3c36756f1 100644
--- a/media-gfx/hugin/hugin-9999.ebuild
+++ b/media-gfx/hugin/hugin-9999.ebuild
@@ -80,10 +80,6 @@ src_install() {
cmake-utils_src_install
use python && python_optimize
- mkdir -p "${ED}"/usr/share/metainfo || die
- mv "${ED}"/usr/share/appdata/* "${ED}"/usr/share/metainfo/ || die
- rmdir "${ED}"/usr/share/appdata || die
-
local lang
for lang in ${LANGS} ; do
case ${lang} in
diff --git a/media-sound/jack2/Manifest b/media-sound/jack2/Manifest
index 164a6c80b7bb..4894fdb792d7 100644
--- a/media-sound/jack2/Manifest
+++ b/media-sound/jack2/Manifest
@@ -1,2 +1 @@
-DIST jack2-1.9.14.tar.gz 6495043 BLAKE2B 9ace1cef2c15c2894831c79bb8d73637df27a21462f654e04b7fb8fc05731e6df898aaefc343a9be4799bcd70576aa7397f2d48b7d2530b682f62463ce3d4a07 SHA512 ca9738fd5aadcb7e125f98a358437905959afebe0b792cab316fc31410e89ea3aefdb85154792a9d0a80fa988aa7eff379ff5c7ac6c4bfa1d57ad3d7de7b5fdd
DIST jack2-1.9.16.tar.gz 974652 BLAKE2B ff20d57f544bd636d93e77c2c6dec3af3afbafe4a217ba480c66247ddb6d8ca60755fa55599240fdd75e8ce2c1f7d8fb4f1bf68de8a212268588245f35731ead SHA512 8e4717cad097806a436e3a7b7977faa65987ca0fe59fd285014d6207899c62f9abbb79474170d0e5a6e82d0dbfe998c1310b13c4de8cd68cea0a6935ba579fd1
diff --git a/media-sound/jack2/jack2-1.9.14.ebuild b/media-sound/jack2/jack2-1.9.14.ebuild
deleted file mode 100644
index 6cfd551dae8c..000000000000
--- a/media-sound/jack2/jack2-1.9.14.ebuild
+++ /dev/null
@@ -1,99 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PYTHON_COMPAT=( python3_{5..10} )
-PYTHON_REQ_USE="threads(+)"
-inherit python-single-r1 waf-utils multilib-minimal
-
-DESCRIPTION="Jackdmp jack implemention for multi-processor machine"
-HOMEPAGE="https://jackaudio.org/"
-
-if [[ "${PV}" = "9999" ]]; then
- inherit git-r3
- EGIT_REPO_URI="https://github.com/jackaudio/${PN}.git"
-else
- MY_PV="${PV/_rc/-RC}"
- MY_P="${PN}-${MY_PV}"
- S="${WORKDIR}/${MY_P}"
- SRC_URI="https://github.com/jackaudio/jack2/releases/download/v${MY_PV}/v${MY_PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="amd64 arm arm64 ppc ppc64 x86"
-fi
-
-LICENSE="GPL-2"
-SLOT="2"
-IUSE="alsa +classic dbus doc ieee1394 libsamplerate metadata opus pam readline sndfile"
-
-REQUIRED_USE="
- ${PYTHON_REQUIRED_USE}
- || ( classic dbus )"
-
-CDEPEND="${PYTHON_DEPS}
- media-libs/libsamplerate
- media-libs/libsndfile
- sys-libs/readline:0=
- alsa? ( media-libs/alsa-lib[${MULTILIB_USEDEP}] )
- dbus? (
- dev-libs/expat[${MULTILIB_USEDEP}]
- sys-apps/dbus[${MULTILIB_USEDEP}]
- )
- ieee1394? ( media-libs/libffado:=[${MULTILIB_USEDEP}] )
- metadata? ( sys-libs/db:* )
- opus? ( media-libs/opus[custom-modes,${MULTILIB_USEDEP}] )"
-DEPEND="${CDEPEND}
- virtual/pkgconfig
- doc? ( app-doc/doxygen )"
-RDEPEND="${CDEPEND}
- dbus? (
- $(python_gen_cond_dep '
- dev-python/dbus-python[${PYTHON_MULTI_USEDEP}]
- ')
- )
- pam? ( sys-auth/realtime-base )
- !media-sound/jack-audio-connection-kit:0"
-
-DOCS=( ChangeLog.rst README.rst README_NETJACK2 )
-
-PATCHES=(
- "${FILESDIR}/${P}-fix-doc.patch"
-)
-
-src_prepare() {
- default
- multilib_copy_sources
-}
-
-multilib_src_configure() {
- local mywafconfargs=(
- --htmldir=/usr/share/doc/${PF}/html
- $(usex dbus --dbus "")
- $(usex classic --classic "")
- --alsa=$(usex alsa yes no)
- --celt=no
- --db=$(usex metadata yes no)
- --doxygen=$(multilib_native_usex doc yes no)
- --firewire=$(usex ieee1394 yes no)
- --iio=no
- --opus=$(usex opus yes no)
- --portaudio=no
- --readline=$(multilib_native_usex readline yes no)
- --samplerate=$(multilib_native_usex libsamplerate yes no)
- --sndfile=$(multilib_native_usex sndfile yes no)
- --winmme=no
- )
-
- waf-utils_src_configure ${mywafconfargs[@]}
-}
-
-multilib_src_compile() {
- WAF_BINARY="${BUILD_DIR}"/waf waf-utils_src_compile
-}
-
-multilib_src_install() {
- WAF_BINARY="${BUILD_DIR}"/waf waf-utils_src_install
-}
-
-multilib_src_install_all() {
- python_fix_shebang "${ED}"
-}
diff --git a/sys-apps/pkgcore/Manifest b/sys-apps/pkgcore/Manifest
index 2af50d0f14e0..5b8ee2986089 100644
--- a/sys-apps/pkgcore/Manifest
+++ b/sys-apps/pkgcore/Manifest
@@ -1 +1,2 @@
DIST pkgcore-0.10.13.tar.gz 647320 BLAKE2B ef80320a0a8d35ed68b1d77d52a3cfb2ffbadae2fe9f11efe3f42c68f55388074b5c4b2857f265f1add4cfe479cba9716d45afaf141d113b0874d409955269c7 SHA512 acc5ee2cc6fd0f897129f311e0484e28a1c8f374c5a2e56a29d228fee74b7be0cb6059171b743e0db35544b5b5779d35efcda21e46e65285653ba4155205281f
+DIST pkgcore-0.10.14.tar.gz 627149 BLAKE2B 05012f21998ae97212364f63ca6d423806e20d0f2fd5785b9a52ec3c535c12675cd2a8f300ed1b3fbfe627d33ab9b138bf28a3a2792c405dbe068045d73243af SHA512 f4e4959d55d412b81306a4e7205163814b95b2f454dd7bb233c9a16d5a5975c0d2e20882e73859266ebf1bd6233e4d88e97291632b2f6cf2c2ae58cb5a680a3b
diff --git a/sys-apps/pkgcore/pkgcore-0.10.14.ebuild b/sys-apps/pkgcore/pkgcore-0.10.14.ebuild
new file mode 100644
index 000000000000..d123ba7d33cb
--- /dev/null
+++ b/sys-apps/pkgcore/pkgcore-0.10.14.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{5..10} )
+DISTUTILS_IN_SOURCE_BUILD=1
+inherit distutils-r1
+
+if [[ ${PV} == *9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/pkgcore/pkgcore.git"
+ inherit git-r3
+else
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~x64-macos"
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+fi
+
+DESCRIPTION="a framework for package management"
+HOMEPAGE="https://github.com/pkgcore/pkgcore"
+
+LICENSE="BSD MIT"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/lxml[${PYTHON_USEDEP}]"
+if [[ ${PV} == *9999 ]]; then
+ RDEPEND+=" ~dev-python/snakeoil-9999[${PYTHON_USEDEP}]"
+else
+ RDEPEND+=" >=dev-python/snakeoil-0.8.9[${PYTHON_USEDEP}]"
+fi
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+"
+
+python_test() {
+ esetup.py test
+}
+
+python_install_all() {
+ local DOCS=( NEWS.rst )
+ [[ ${PV} == *9999 ]] || doman man/*
+ distutils-r1_python_install_all
+}
diff --git a/sys-apps/pkgcore/pkgcore-9999.ebuild b/sys-apps/pkgcore/pkgcore-9999.ebuild
index 061cff790efd..9ade7b1bcd9e 100644
--- a/sys-apps/pkgcore/pkgcore-9999.ebuild
+++ b/sys-apps/pkgcore/pkgcore-9999.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-PYTHON_COMPAT=( python3_{5..10} )
+PYTHON_COMPAT=( python3_{8..9} )
DISTUTILS_IN_SOURCE_BUILD=1
inherit distutils-r1
@@ -10,7 +10,7 @@ if [[ ${PV} == *9999 ]] ; then
EGIT_REPO_URI="https://github.com/pkgcore/pkgcore.git"
inherit git-r3
else
- KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~x64-macos"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
fi
@@ -26,7 +26,7 @@ RDEPEND="dev-python/lxml[${PYTHON_USEDEP}]"
if [[ ${PV} == *9999 ]]; then
RDEPEND+=" ~dev-python/snakeoil-9999[${PYTHON_USEDEP}]"
else
- RDEPEND+=" >=dev-python/snakeoil-0.8.7[${PYTHON_USEDEP}]"
+ RDEPEND+=" >=dev-python/snakeoil-0.8.9[${PYTHON_USEDEP}]"
fi
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
diff --git a/sys-apps/usbutils/usbutils-013-r1.ebuild b/sys-apps/usbutils/usbutils-013-r1.ebuild
new file mode 100644
index 000000000000..8be30f370d83
--- /dev/null
+++ b/sys-apps/usbutils/usbutils-013-r1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5..10} )
+
+inherit autotools python-single-r1
+
+DESCRIPTION="USB enumeration utilities"
+HOMEPAGE="https://www.kernel.org/pub/linux/utils/usb/usbutils/
+ https://git.kernel.org/pub/scm/linux/kernel/git/gregkh/usbutils.git/"
+SRC_URI="https://www.kernel.org/pub/linux/utils/usb/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="python"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+DEPEND="virtual/libusb:1=
+ virtual/libudev:="
+BDEPEND="
+ app-arch/xz-utils
+ virtual/pkgconfig"
+RDEPEND="${DEPEND}
+ sys-apps/hwids
+ python? ( ${PYTHON_DEPS} )"
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+ eautoreconf
+ use python && python_fix_shebang lsusb.py.in
+}
+
+src_configure() {
+ local myeconfargs=(
+ --datarootdir="${EPREFIX}/usr/share"
+ --datadir="${EPREFIX}/usr/share/misc"
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+ newdoc usbhid-dump/NEWS NEWS.usbhid-dump
+ dobin usbreset # noinst_PROGRAMS, but installed by other distros
+
+ use python || rm -f "${ED}"/usr/bin/lsusb.py
+}
diff --git a/x11-misc/urxvt-tabbedex/Manifest b/x11-misc/urxvt-tabbedex/Manifest
index 30c792166d9f..8d6490ef681a 100644
--- a/x11-misc/urxvt-tabbedex/Manifest
+++ b/x11-misc/urxvt-tabbedex/Manifest
@@ -1 +1,2 @@
DIST urxvt-tabbedex-20.09.tar.gz 32254 BLAKE2B 7c2bc4d17ad91415210c039adcb01edbafe539e24d82000314124c518d76af97487c1929c168dbce40b4931822aed6224e309e82a855fbc07adf44a0639b538a SHA512 166fa965236d3f60d17d1ad914b3648895237003704219294b0ce72631e6e0431c61a3c320823f227ee58a07f968a1b7d9c479bc58c6246df2f7059e1f04613f
+DIST urxvt-tabbedex-20.49.tar.gz 33239 BLAKE2B fd5e3619c7b639cbf65364895389145dc7b5d819808a4d40d99732f2d1154ac4418f0a9324b4e8f001ca6786c959886e58df2b8f81e3b9a723b948708c869a40 SHA512 27e508f388e5725866465fe3c3e6ff052eabd14e9a72c22788c61ebed2a9db69517f676071d648a693ba5b9a438ac14d5b9a9ea1208a044001255c2d2562fc48
diff --git a/x11-misc/urxvt-tabbedex/urxvt-tabbedex-20.49.ebuild b/x11-misc/urxvt-tabbedex/urxvt-tabbedex-20.49.ebuild
new file mode 100644
index 000000000000..81d3bcdede94
--- /dev/null
+++ b/x11-misc/urxvt-tabbedex/urxvt-tabbedex-20.49.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="An extended version of rxvt-unicode's tabbed perl extension"
+HOMEPAGE="https://github.com/mina86/urxvt-tabbedex"
+
+MY_PN=${PN/urxvt-/}
+SRC_URI="https://github.com/mina86/urxvt-tabbedex/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="x11-terms/rxvt-unicode[perl]"
+
+DOCS=( AUTHORS README.md command-runner.sample )
+
+src_compile() { :; }
+
+src_install() {
+ einstalldocs
+
+ insinto /usr/$(get_libdir)/urxvt/perl/
+ doins ${MY_PN}
+
+ insinto /usr/$(get_libdir)/urxvt/
+ newins pgid-cd.pl tabbedex-pgid-cd
+}